<div class="infra-num-card mayor-kind">
  <dsfr-alert
    [type]="alertType.INFO">
    Afin de pouvoir finaliser la création de votre compte,
    il est essentiel que vous vous inscriviez avec votre adresse
    électronique professionnelle, que vous utilisez habituellement
    pour communiquer avec l’Agence nationale de la cohésion des territoires.
  </dsfr-alert>
  <form
    class="credentials-form"
    [formGroup]="subscriptionForm"
    (ngSubmit)="onSubmit()">
    <p class="form-hint">Tous les champs sont obligatoires.</p>
    <dsfr-input
      label="Adresse électronique"
      name="email"
      id="email"
      (input)="onEmailInput($event)"
      formControlName="email"
      hint="Format attendu : nom@domaine.fr"
      [hasFailed]="(subscriptionForm.get('email').dirty && !subscriptionForm.get('email').valid) || !!serverErrorMessage"
      [failureMessage]="failureMessage">
    </dsfr-input>
    <dsfr-password
      class="fr-mt-2w"
      (passwordStatusUpdated)="onPasswordStatusChange($event)"
      label="Mot de passe"
      id="password"
      type="signup"
      [params]="passwordParams"
      formControlName="password">
    </dsfr-password>
    <dsfr-checkbox
      name="newsletter"
      formControlName="newsletter"
      [items]="checkboxItem">
    </dsfr-checkbox>
    <dsfr-input
      style="display: none;"
      label="honey"
      name="honey"
      id="honey"
      formControlName="honey">
    </dsfr-input>
    <dsfr-alert
      class="fr-mt-3w"
      *ngIf="emailNotFound"
      [hasCloseButton]="false"
      [type]="alertType.ERROR">
      L’adresse électronique utilisée pour vous inscrire n’est pas connue
      de l’Agence nationale de la cohésion des territoires. Si vous
      avez utilisé votre adresse professionnelle et que vous ne pouvez
      pas vous inscrire, c’est que malheureusement, nous ne connaissons
      pas encore votre adresse courriel. Nous vous invitons à nous
      contacter afin de nous en informer à {{environment.emailAnctContact}}.
    </dsfr-alert>
    <div class="card-buttons">
      <dsfr-button
        label="Valider"
        [size]="buttonSize"
        [htmlType]="buttonType"
        [disabled]="!subscriptionForm.valid || passwordStatus !== 'VALID'">
      </dsfr-button>
    </div>
  </form>
</div>
